/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * Model45
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model45 {
  @SerializedName("policy_holder_id")
  private String policyHolderId = null;

  @SerializedName("reference")
  private String reference = null;

  @SerializedName("title")
  private String title = null;

  @SerializedName("last_name")
  private String lastName = null;

  @SerializedName("first_name")
  private String firstName = null;

  @SerializedName("address")
  private String address = null;

  @SerializedName("postal_code")
  private String postalCode = null;

  @SerializedName("city")
  private String city = null;

  @SerializedName("country")
  private String country = null;

  @SerializedName("phone_number")
  private String phoneNumber = null;

  @SerializedName("mobile_phone_number")
  private String mobilePhoneNumber = null;

  @SerializedName("email")
  private String email = null;

  public Model45 policyHolderId(String policyHolderId) {
    this.policyHolderId = policyHolderId;
    return this;
  }

   /**
   * Policy holder&#39;s identifier
   * @return policyHolderId
  **/
  @ApiModelProperty(value = "Policy holder's identifier")
  public String getPolicyHolderId() {
    return policyHolderId;
  }

  public void setPolicyHolderId(String policyHolderId) {
    this.policyHolderId = policyHolderId;
  }

  public Model45 reference(String reference) {
    this.reference = reference;
    return this;
  }

   /**
   * Contract number of the policy holder
   * @return reference
  **/
  @ApiModelProperty(example = "0123456789", value = "Contract number of the policy holder")
  public String getReference() {
    return reference;
  }

  public void setReference(String reference) {
    this.reference = reference;
  }

  public Model45 title(String title) {
    this.title = title;
    return this;
  }

   /**
   * Policy holder&#39;s title. Expected values (MR, MRS, MISS, DR, PR)
   * @return title
  **/
  @ApiModelProperty(example = "MR", value = "Policy holder's title. Expected values (MR, MRS, MISS, DR, PR)")
  public String getTitle() {
    return title;
  }

  public void setTitle(String title) {
    this.title = title;
  }

  public Model45 lastName(String lastName) {
    this.lastName = lastName;
    return this;
  }

   /**
   * Policy holder&#39;s last name
   * @return lastName
  **/
  @ApiModelProperty(example = "Doe", value = "Policy holder's last name")
  public String getLastName() {
    return lastName;
  }

  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  public Model45 firstName(String firstName) {
    this.firstName = firstName;
    return this;
  }

   /**
   * Policy holder&#39;s first name
   * @return firstName
  **/
  @ApiModelProperty(example = "John", value = "Policy holder's first name")
  public String getFirstName() {
    return firstName;
  }

  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }

  public Model45 address(String address) {
    this.address = address;
    return this;
  }

   /**
   * Policy holder&#39;s address
   * @return address
  **/
  @ApiModelProperty(example = "dummy address", value = "Policy holder's address")
  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public Model45 postalCode(String postalCode) {
    this.postalCode = postalCode;
    return this;
  }

   /**
   * Policy holder&#39;s postal code
   * @return postalCode
  **/
  @ApiModelProperty(example = "75001", value = "Policy holder's postal code")
  public String getPostalCode() {
    return postalCode;
  }

  public void setPostalCode(String postalCode) {
    this.postalCode = postalCode;
  }

  public Model45 city(String city) {
    this.city = city;
    return this;
  }

   /**
   * Policy holder&#39;s city
   * @return city
  **/
  @ApiModelProperty(example = "Paris", value = "Policy holder's city")
  public String getCity() {
    return city;
  }

  public void setCity(String city) {
    this.city = city;
  }

  public Model45 country(String country) {
    this.country = country;
    return this;
  }

   /**
   * Policy holder&#39;s country, ISO-3166-1 alpha-2 format
   * @return country
  **/
  @ApiModelProperty(example = "FR", value = "Policy holder's country, ISO-3166-1 alpha-2 format")
  public String getCountry() {
    return country;
  }

  public void setCountry(String country) {
    this.country = country;
  }

  public Model45 phoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
    return this;
  }

   /**
   * Policy holder&#39;s phone number
   * @return phoneNumber
  **/
  @ApiModelProperty(example = "+34698765432", value = "Policy holder's phone number")
  public String getPhoneNumber() {
    return phoneNumber;
  }

  public void setPhoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
  }

  public Model45 mobilePhoneNumber(String mobilePhoneNumber) {
    this.mobilePhoneNumber = mobilePhoneNumber;
    return this;
  }

   /**
   * Policy holder&#39;s mobile phone number
   * @return mobilePhoneNumber
  **/
  @ApiModelProperty(example = "+34600000000", value = "Policy holder's mobile phone number")
  public String getMobilePhoneNumber() {
    return mobilePhoneNumber;
  }

  public void setMobilePhoneNumber(String mobilePhoneNumber) {
    this.mobilePhoneNumber = mobilePhoneNumber;
  }

  public Model45 email(String email) {
    this.email = email;
    return this;
  }

   /**
   * Policy holder&#39;s email
   * @return email
  **/
  @ApiModelProperty(example = "john.doe@dummy.com", value = "Policy holder's email")
  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model45 model45 = (Model45) o;
    return Objects.equals(this.policyHolderId, model45.policyHolderId) &&
        Objects.equals(this.reference, model45.reference) &&
        Objects.equals(this.title, model45.title) &&
        Objects.equals(this.lastName, model45.lastName) &&
        Objects.equals(this.firstName, model45.firstName) &&
        Objects.equals(this.address, model45.address) &&
        Objects.equals(this.postalCode, model45.postalCode) &&
        Objects.equals(this.city, model45.city) &&
        Objects.equals(this.country, model45.country) &&
        Objects.equals(this.phoneNumber, model45.phoneNumber) &&
        Objects.equals(this.mobilePhoneNumber, model45.mobilePhoneNumber) &&
        Objects.equals(this.email, model45.email);
  }

  @Override
  public int hashCode() {
    return Objects.hash(policyHolderId, reference, title, lastName, firstName, address, postalCode, city, country, phoneNumber, mobilePhoneNumber, email);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model45 {\n");
    
    sb.append("    policyHolderId: ").append(toIndentedString(policyHolderId)).append("\n");
    sb.append("    reference: ").append(toIndentedString(reference)).append("\n");
    sb.append("    title: ").append(toIndentedString(title)).append("\n");
    sb.append("    lastName: ").append(toIndentedString(lastName)).append("\n");
    sb.append("    firstName: ").append(toIndentedString(firstName)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("    postalCode: ").append(toIndentedString(postalCode)).append("\n");
    sb.append("    city: ").append(toIndentedString(city)).append("\n");
    sb.append("    country: ").append(toIndentedString(country)).append("\n");
    sb.append("    phoneNumber: ").append(toIndentedString(phoneNumber)).append("\n");
    sb.append("    mobilePhoneNumber: ").append(toIndentedString(mobilePhoneNumber)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

